Bug 1150048 - Rebase to latest stable LibreOffice 4.2.8.2 in RHEL-6.7
Summary: Rebase to latest stable LibreOffice 4.2.8.2 in RHEL-6.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreoffice
Version: 6.7
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
Jana Heves
URL:
Whiteboard:
: 1213894 (view as bug list)
Depends On:
Blocks: 1153397 1015083 1134815 1134824 1134841 1177022
TreeView+ depends on / blocked
 
Reported: 2014-10-07 10:37 UTC by Caolan McNamara
Modified: 2019-07-11 08:14 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
LibreOffice upgrade The libreoffice packages have been upgraded to upstream version 4.2.8.2, which provides a number of bug fixes and enhancements over the previous version, including: * OpenXML interoperability has been improved. * Additional statistics functions have been added to the Calc application, thus improving interoperability with Microsoft Excel and its "Analysis ToolPak" add-in. * Various performance improvements have been implemented in Calc. * This update adds new import filters for importing files from the Apple Keynote and Abiword applications. * The export filter for the MathML markup language has been improved. * This update adds a new start screen that includes thumbnails of recently opened documents. * A visual clue is now displayed in the Slide Sorter window for slides with transitions or animations. * This update improves trend lines in charts. * LibreOffice now supports BCP 47 language tags. For a complete list of bug fixes and enhancements provided by this upgrade, refer to https://wiki.documentfoundation.org/ReleaseNotes/4.2
Clone Of:
Environment:
Last Closed: 2015-07-22 06:19:05 UTC
caolanm: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1458 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2015-07-21 14:32:26 UTC

Description Caolan McNamara 2014-10-07 10:37:39 UTC
I was requested if we can rebase to 4.2.7 in RHEL-6.7. It is technically possible, but 4.2.7 requires approximately 20 packages that are either not in rhel-6 or are are far too old versions to be usable. List to follow in later comments.

We are able to bundle those additional libraries into the libreoffice SRPM and build them as part of the LibreOffice build.

I think that is the only practical way to bump LibreOffice to 4.2.7 in RHEL-6 as opposed to individually packaging each dependency.

Comment 7 David Tardon 2015-04-22 09:05:51 UTC
*** Bug 1213894 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2015-07-22 06:19:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1458.html


Note You need to log in before you can comment on or make changes to this bug.